<template>
  <div class="row g-0 border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 position-relative">
    <div class="col p-4 d-flex flex-column position-static">
      <strong class="d-inline-block mb-2 text-primary">{{ movie.Type }}</strong>
      <h3 class="mb-0">{{ movie.Title }}</h3>
      <div class="mb-1 text-muted">{{ movie.Year }}</div>
      <router-link :to="{ name: 'Movie', params: { id: movie.imdbID }}" class="stretched-link">See details</router-link>
    </div>
    <div class="col-auto d-none d-lg-block">
      <img :src="movie.Poster" :alt="movie.Title" width="200" height="250"/>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Movie',
  props: ['movie']
}
</script>